/* Place for common utilities like a Delay */

#ifndef _COMMON_
#define _COMMON_
 
#include "chip.h"
#include <stdint.h>

extern void SysTick_Handler (void);

extern void Delay (unsigned long tick);

extern void BasicInitTC(void);

extern void Delay_us(uint32_t delayus);

extern uint8_t one_sec(void);

#endif /*_COMMON_ */
